DC_ITERATOR_NEXT(3)

NAME
dc_iterator_next - next element in an iterator

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/iterator.h>
dc_status_t
dc_iterator_next(dc_iterator_t *iterator, void *item);

DESCRIPTION
Fills in item with the next element in the iterator iterator, which may not be NULL.

RETURN VALUES
This returns DC_STATUS_SUCCESS on success.

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org. The manpages were written by Kristaps Dzonsons, kristaps@bsd.lv.